Create or upsert a notification
POST
/notifications
Authorizations
bearerToken|siteContext +
bearerToken
Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.
TypeHTTP (bearer)
siteContext
Identifier of the site context when authenticating with a personal access token.
TypeAPI Key (header: X-Nimbu-Site)
or
siteToken
Site-scoped API token that already encodes the site context.
TypeHTTP (bearer)
Request Body
application/json
JSON
{
"slug": "string",
"name": "string",
"description": "string",
"subject": "string",
"text": "string",
"html": "string",
"html_enabled": true
}
Responses
notification created
application/json
JSON
{
"id": "string",
"url": "string",
"created_at": "string",
"updated_at": "string",
"slug": "string",
"html_enabled": true,
"description": "string",
"name": "string",
"subject": "string",
"text": "string",
"html": "string"
}